# define to 1 if you want to refresh the prebuilt assembler sources
%global with_asm 0

Name:           aspeqt
Version:        0.8.3
Release:        1%{?dist}
Summary:        Atari serial peripheral emulator

License:        GPLv2
URL:            http://sourceforge.net/projects/aspeqt
Source0:        http://download.sourceforge.net/%{name}/%{name}-sources-%{version}.zip
Source1:        %{name}.desktop
Patch0:         %{name}-0.6-no-stream.patch
Patch1:         %{name}-0.6-gcc47.patch
Patch2:         %{name}-0.8.3-zlib.patch

BuildRequires:  qt4-devel
BuildRequires:  desktop-file-utils
%if 0%{?with_asm}
BuildRequires:  atasm
%endif


%description
AspeQt is the free Atari serial peripheral emulator for Qt. This program
emulates various Atari 8-bit family peripherals, most notably the disk drives
via an SIO2PC cable.


%prep
%setup -q -c
%patch0 -p1 -b .no-stream
%patch1 -p1 -b .gcc47
%patch2 -p1 -b .zlib

#find . -name .svn -exec rm -rf {} \;
find . -type f -exec chmod -x {} \;

%if 0%{?with_asm}
pushd atari/autoboot
make clean
popd
%endif

# remove unbundled headers
rm -f headers/{zconf,zlib}.h


%build
%if 0%{?with_asm}
pushd atari/autoboot
make
popd
%endif

%{_qt4_qmake}
make %{?_smp_mflags}


%install
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 644 main-icon/AspeQt.png %{buildroot}%{_datadir}/pixmaps/AspeQt.png
install -d %{buildroot}%{_datadir}/applications

desktop-file-install \
        --dir %{buildroot}%{_datadir}/applications %{SOURCE1}


%files
%doc history.txt license.txt readme.txt todo.txt AspeQt\ User\ Manual.html
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/AspeQt.png


%changelog
* Mon Aug 13 2012 Dan Horák <dan[at]danny.cz> - 0.8.3-1
- updated to 0.8.3

* Wed Apr 11 2012 Dan Horák <dan[at]danny.cz> - 0.8.1-1
- updated to 0.8.1

* Sat Mar 31 2012 Dan Horák <dan[at]danny.cz> - 0.6-2
- fix build with g++ 4.7

* Sat Mar 31 2012 Dan Horák <dan[at]danny.cz> - 0.6-1
- initial Fedora version
